View Issue Details

IDProjectCategoryView StatusLast Update
0003981SOGoWeb Mailpublic2021-07-19 08:45
Reporterrc-pl Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionfixed 
Product Version3.2.4 
Summary0003981: images are not handled properly in forwarded or replied to messages
Description

I use SOGo demo web interface here: http://demo.sogo.nu/SOGo/

  1. Compose new message and paste an image from clipboard in the message body (image mustn't be copied from web browser; it has to be copied from external program, i.e. snipping tool or mspaint)

  2. Send this message to yourself (to be sure that it is sent and received in SOGo web interface)

3a. When message arrives in your inbox, open it and choose "Forward". Image from message body is no longer in the body. Instead it is just attached as ordinary attachment (PROBLEM 1)

3b. When message arrives in your inbox, open it and choose "Reply". Image from message body disappears completely (PROBLEM 2)

TagsNo tags attached.

Relationships

has duplicate 0004841 new Mail signature with image fails in forward message 
related to 0004786 new Web mail not forwarding multiple inline attachment with same name 

Activities

francis

francis

2017-01-09 09:11

administrator   ~0011178

What browser do you use?

rc-pl

rc-pl

2017-01-09 10:35

reporter   ~0011181

Last edited: 2017-01-09 10:47

issue replicated in:
Chrome 52.0.2743.82
Firefox 39
IE11

Please note following:
1)
When image is pasted to the message from internet - it is saved in message source like this:

<img src=3D"http://www.domain.com/image.jpg&quot; />

Such images work correctly when forwarding or replaying to message.

2)
When image is pasted to the message from external application (not the web browser) - it is saved in message source like this:

<img src=3D"cid:4AB2-5873AD00-7-1B282340" type=3D"image/png=" alt=3D""/>

Such images end up with the issue described in this bug report.

francis

francis

2017-01-11 16:10

administrator   ~0011192

"Problem 1" is fixed.

rc-pl

rc-pl

2017-01-11 16:27

reporter   ~0011193

I just noticed your update on this bug.
Thank you for your effort in correcting it.

rc-pl

rc-pl

2017-01-12 09:25

reporter   ~0011200

I just installed latest night build
sogo_3.2.5.20170112-1_amd64.deb
and now inline images are not displayed at all.
Attachment will be added

rc-pl

rc-pl

2017-01-12 09:25

reporter  

scr.jpg (46,156 bytes)   
scr.jpg (46,156 bytes)   
rc-pl

rc-pl

2017-01-12 09:34

reporter   ~0011201

another update
I just figured out that if I send inline image from SOGo web interface and then open this message in SOGo web interface - image is shown!
If I send inline image from Gmail, Outlook 365 or Roundcube 1.2.3, and then open it in SOGo web interface - image is not shown (as seen on attachment)

francis

francis

2017-01-13 12:25

administrator   ~0011213

Please test the next nightly build.

rc-pl

rc-pl

2017-01-14 07:06

reporter   ~0011215

Hi.
Latest nightly build has been installed 3.2.5.20170114-1
Issue introduced in 3.2.5.20170112-1 is resolved (images in messages created in clients other than SOGo web-client are now displayed).

However issue for which this bug report is opened is not resolved. It is all messed up. Let me give you examples.

  1. I create a message with inline image in SOGo web-client. I send it and next I open it also in SOGo web-client. I click forward. Inline image is not shown in message composing window (ckeditor). Nevertheless I send this message and when I open it upon arrival inline image is shown. It is however shown in different way than in first message - in the message body it is shown correctly, but in attachments section I also see a preview of that image (that wasn't a case in first message).

  2. Original message with inline image is created in other client than SOGo web-client (today I tested Gmail and Roundcube 1.3-beta). I open it in SOGo web-client and click forward. Image is not shown in message composing window (ckeditor). I send it and then open in SOGo web-client. Image is not shown in message body. It is however attached to the message as ordinary attachment (with preview in attachment area)

rc-pl

rc-pl

2017-01-15 02:17

reporter   ~0011216

One more thought regarding this matter.
Inline images (Content-Disposition: inline) should not be displayed on the attachments list.
Only those, which are explicitly attached to the message as attachments (Content-Disposition: attachment) should be listed there.

bahnkonzept

bahnkonzept

2021-07-19 08:45

reporter   ~0015362

+1 for rc-pl's notice about not adding embedded images to the list of attachements at the very bottom of the mail.

Related Changesets

sogo: master e5d0b0b0

2017-01-11 16:08:05

francis

Details Diff
Fix rendering of forwarded HTML message with img

Fixes 0003981 (partially)
Affected Issues
0003981
mod - NEWS Diff File
mod - UI/MailPartViewers/UIxMailPartAlternativeViewer.m Diff File
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff File
mod - UI/MailPartViewers/UIxMailPartMixedViewer.m Diff File
mod - UI/MailPartViewers/UIxMailPartViewer.h Diff File
mod - UI/MailPartViewers/UIxMailPartViewer.m Diff File
mod - UI/MailerUI/UIxMailView.m Diff File

sogo: master 4a21a02f

2017-01-13 12:23:38

francis

Details Diff
Fix rendering of forwarded HTML message with img

Fixes 0003981 (cont'd)
Affected Issues
0003981
mod - SoObjects/Mailer/SOGoMailObject.m Diff File
mod - UI/MailPartViewers/UIxMailPartHTMLViewer.m Diff File
mod - UI/MailerUI/UIxMailView.m Diff File

Issue History

Date Modified Username Field Change
2017-01-05 15:36 rc-pl New Issue
2017-01-06 08:34 ludovic Severity major => minor
2017-01-09 09:11 francis Note Added: 0011178
2017-01-09 10:35 rc-pl Note Added: 0011181
2017-01-09 10:47 rc-pl Note Edited: 0011181
2017-01-11 16:09 francis Changeset attached => sogo master e5d0b0b0
2017-01-11 16:09 francis Assigned To => francis
2017-01-11 16:09 francis Resolution open => fixed
2017-01-11 16:09 francis Status new => assigned
2017-01-11 16:09 francis Resolution fixed => open
2017-01-11 16:10 francis Note Added: 0011192
2017-01-11 16:27 rc-pl Note Added: 0011193
2017-01-12 09:25 rc-pl Note Added: 0011200
2017-01-12 09:25 rc-pl File Added: scr.jpg
2017-01-12 09:34 rc-pl Note Added: 0011201
2017-01-13 12:24 francis Changeset attached => sogo master 4a21a02f
2017-01-13 12:24 francis Resolution open => fixed
2017-01-13 12:25 francis Note Added: 0011213
2017-01-14 07:06 rc-pl Note Added: 0011215
2017-01-15 02:17 rc-pl Note Added: 0011216
2019-07-16 09:16 francis Relationship added related to 0004786
2019-10-02 11:09 francis Relationship added has duplicate 0004841
2021-07-19 08:45 bahnkonzept Note Added: 0015362